import { defHttp } from '@/utils/http/axios';

enum Api {
  // 修改地类类型（仅限农用地到建设用地，待接收状态）
  UpdateCaseinfoTypeKC = '/api/WFTask/UpdateCaseinfoTypeKC',
  // 获取任务列表(地类类型修改专用）
  GetTaskList = '/api/WFTask/GetTaskList',
  // 获取任务日志列表(地类类型修改专用）
  GetTaskLogList = '/api/WFTask/GetTaskLogList',
  // 删除任务（地类类型修改专用）
  DeleteTaskByIds = '/api/WFTask/DeleteTaskByIds',
  // 删除任务日志（地类类型修改专用）
  DeleteTaskLogByIds = '/api/WFTask/DeleteTaskLogByIds',
  // 更新任务（地类修改专用）
  UpdateTask = '/api/WFTask/UpdateTask',
  // 更新任务日志（地类修改专用）
  UpdateTaskLog = '/api/WFTask/UpdateTaskLog'
}

export function UpdateCaseinfoTypeKC(caseno) {
  return defHttp.post({
    url: `${Api.UpdateCaseinfoTypeKC}?caseno=${caseno}`,
  });
}
export function GetTaskList(params) {
  return defHttp.get({
    url: Api.GetTaskList,
    params
  });
}
export function GetTaskLogList(params) {
  return defHttp.get({
    url: Api.GetTaskLogList,
    params
  });
}
export function DeleteTaskByIds(ids) {
  return defHttp.post({
    url: `${Api.DeleteTaskByIds}?ids=${ids}`,
  });
}
export function DeleteTaskLogByIds(ids) {
  return defHttp.post({
    url: `${Api.DeleteTaskLogByIds}?ids=${ids}`,
  });
}
export function UpdateTask(data) {
  return defHttp.post({
    url: Api.UpdateTask,
    data
  });
}
export function UpdateTaskLog(data) {
  return defHttp.post({
    url: Api.UpdateTaskLog,
    data
  });
}

